### Method

# Qmi MessageUimReadTransparentInput set_session

since: 1.22

#### Declaration [src]

    gboolean
    qmi_message_uim_read_transparent_input_set_session (
      QmiMessageUimReadTransparentInput* self,
      QmiUimSessionType value_session_session_type,
      GArray* value_session_application_identifier,
      GError** error
    )

#### Description [src]

Set the ‘Session’ field in the message.

Available since: 1.22

#### Parameters

`value_session_session_type`

  Type: `QmiUimSessionType`

  A `QmiUimSessionType`.

`value_session_application_identifier`

  Type: An array of `guint8`

  A `GArray` of #guint8 elements. A new reference to `value_session_application_identifier` will be taken, so the caller must make sure the array was created with the correct `GDestroyNotify` as clear function for each element in the array.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was successfully set, `FALSE` otherwise.